CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2015-2628

Unspecified vulnerability in Oracle Java SE 6u95, 7u80, and 8u45, and Java SE Embedded 7u75 and 8u33 allows remote attackers to affect confidentiality, integrity, and availability via vectors related to CORBA.
Publish Date : 2015-07-16 Last Update Date : 2018-01-04
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2015:1228: java-1.8.0-openjdk security update (Important) oval:com.redhat.rhsa:def:20151228 unix
RHSA-2015:1229: java-1.7.0-openjdk security update (Critical) oval:com.redhat.rhsa:def:20151229 unix
RHSA-2015:1230: java-1.7.0-openjdk security update (Important) oval:com.redhat.rhsa:def:20151230 unix
RHSA-2015:1241: java-1.8.0-oracle security update (Critical) oval:com.redhat.rhsa:def:20151241 unix
RHSA-2015:1242: java-1.7.0-oracle security update (Critical) oval:com.redhat.rhsa:def:20151242 unix
RHSA-2015:1243: java-1.6.0-sun security update (Important) oval:com.redhat.rhsa:def:20151243 unix
RHSA-2015:1526: java-1.6.0-openjdk security update (Important) oval:com.redhat.rhsa:def:20151526 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2015-2628

# Product Type Vendor Product Version Update Edition Language
1 Application Oracle JDK 1.6.0 Update 95 Version Details Vulnerabilities
2 Application Oracle JDK 1.7.0 Update 75 Version Details Vulnerabilities
3 Application Oracle JDK 1.7.0 Update 80 Version Details Vulnerabilities
4 Application Oracle JDK 1.8.0 Update 33 Version Details Vulnerabilities
5 Application Oracle JDK 1.8.0 Update 45 Version Details Vulnerabilities
6 Application Oracle JRE 1.6.0 Update 95 Version Details Vulnerabilities
7 Application Oracle JRE 1.7.0 Update 75 Version Details Vulnerabilities
8 Application Oracle JRE 1.7.0 Update 80 Version Details Vulnerabilities
9 Application Oracle JRE 1.8.0 Update 33 Version Details Vulnerabilities
10 Application Oracle JRE 1.8.0 Update 45 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Oracle JDK 5
Oracle JRE 5

- References For CVE-2015-2628

http://www.ubuntu.com/usn/USN-2696-1
UBUNTU USN-2696-1
http://www.securityfocus.com/bid/75796
BID 75796 Oracle Java SE CVE-2015-2628 Remote Security Vulnerability Release Date:2015-08-22
http://www.securitytracker.com/id/1032910
SECTRACK 1032910
http://www.debian.org/security/2015/dsa-3339
DEBIAN DSA-3339
http://www.oracle.com/technetwork/topics/security/cpujul2015-2367936.html CONFIRM
http://rhn.redhat.com/errata/RHSA-2015-1243.html
REDHAT RHSA-2015:1243
http://rhn.redhat.com/errata/RHSA-2015-1526.html
REDHAT RHSA-2015:1526
http://www.debian.org/security/2015/dsa-3316
DEBIAN DSA-3316
http://rhn.redhat.com/errata/RHSA-2015-1241.html
REDHAT RHSA-2015:1241
http://rhn.redhat.com/errata/RHSA-2015-1242.html
REDHAT RHSA-2015:1242
https://security.gentoo.org/glsa/201603-14
GENTOO GLSA-201603-14
https://security.gentoo.org/glsa/201603-11
GENTOO GLSA-201603-11
http://lists.opensuse.org/opensuse-security-announce/2015-07/msg00047.html
SUSE SUSE-SU-2015:1320
http://rhn.redhat.com/errata/RHSA-2015-1228.html
REDHAT RHSA-2015:1228
http://rhn.redhat.com/errata/RHSA-2015-1229.html
REDHAT RHSA-2015:1229
http://rhn.redhat.com/errata/RHSA-2015-1230.html
REDHAT RHSA-2015:1230
http://lists.opensuse.org/opensuse-security-announce/2015-07/msg00046.html
SUSE SUSE-SU-2015:1319
http://lists.opensuse.org/opensuse-security-announce/2015-07/msg00040.html
SUSE openSUSE-SU-2015:1289
http://www.ubuntu.com/usn/USN-2706-1
UBUNTU USN-2706-1
http://lists.opensuse.org/opensuse-security-announce/2015-07/msg00039.html
SUSE openSUSE-SU-2015:1288

- Metasploit Modules Related To CVE-2015-2628

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.